Bug 65692 - [PATCH] devel/ccache: Strip bin/ccache; update COMMENT; Take MAINTAINER
[PATCH] devel/ccache: Strip bin/ccache; update COMMENT; Take MAINTAINER
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2004-04-18 03:30 UTC by ahze
Modified: 2004-04-18 22:00 UTC (History)
0 users

See Also:

ccache-2.3_2.patch (796 bytes, patch)
2004-04-18 03:30 UTC, ahze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ahze 2004-04-18 03:30:24 UTC
- strip bin/ccache
- add C++ to COMMENT
- Take maintainership 

I wasn't sure about the PORTREVISION bump, do we do that for strip?

Generated with FreeBSD Port Tools 0.50
Comment 1 krion freebsd_committer 2004-04-18 08:42:34 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 2 trevor 2004-04-18 21:57:58 UTC
> +	${STRIP_CMD} ${PREFIX}/bin/ccache

The INSTALL_PROGRAM macro will do the stripping.  When it isn't too much
work, it's good to use the INSTALL_ macros rather than a program's own
install: target, .  For ccache it would only take one more line to do

--- Makefile    30 Mar 2004 09:41:59 -0000      1.19
+++ Makefile    18 Apr 2004 20:49:03 -0000
@@ -21,7 +21,9 @@
 PORTDOCS=      index.html \

+	${INSTALL_MAN} ${WRKSRC}/ccache.1 ${PREFIX}/man/man1
 .if !defined(NOPORTDOCS)
        ${MKDIR} ${DOCSDIR}
 .for i in ${PORTDOCS}
Trevor Johnson